aboutsummaryrefslogtreecommitdiffstats
path: root/ci/exec_test.sh
diff options
context:
space:
mode:
authorJose Lausuch <jose.lausuch@ericsson.com>2016-09-06 13:22:47 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-09-06 13:22:47 +0000
commit56a19e2a2cc9c7fb06ea29bc2c787d4d0a51ee8c (patch)
tree093f7b9480c4341deef2fafaa153a3288c86d958 /ci/exec_test.sh
parent32486dde81418ded8a18e1f3a1dfacaa751f6865 (diff)
parent42ca6dedd362a81b83e4512846cb1b817162f2df (diff)
Merge "Reduce logging in the SFC test case"
Diffstat (limited to 'ci/exec_test.sh')
-rwxr-xr-xci/exec_test.sh17
1 files changed, 5 insertions, 12 deletions
diff --git a/ci/exec_test.sh b/ci/exec_test.sh
index deb505df9..e402e0c31 100755
--- a/ci/exec_test.sh
+++ b/ci/exec_test.sh
@@ -147,18 +147,11 @@ function run_test(){
python ${FUNCTEST_REPO_DIR}/testcases/features/domino.py $report
;;
"odl-sfc")
- bash ${FUNCTEST_REPO_DIR}/testcases/features/sfc/server_presetup_CI.bash
- ret_val=$?
- if [ $ret_val != 0 ]; then
- exit $ret_val
- fi
- bash ${FUNCTEST_REPO_DIR}/testcases/features/sfc/compute_presetup_CI.bash
- ret_val=$?
- if [ $ret_val != 0 ]; then
- exit $ret_val
- fi
- source ${FUNCTEST_REPO_DIR}/testcases/features/sfc/tackerc
- python ${FUNCTEST_REPO_DIR}/testcases/features/sfc/sfc.py $report
+ ODL_SFC_DIR=${FUNCTEST_REPO_DIR}/testcases/features/sfc
+ # pass FUNCTEST_REPO_DIR inside prepare_odl_sfc.bash
+ FUNCTEST_REPO_DIR=${FUNCTEST_REPO_DIR} bash ${ODL_SFC_DIR}/prepare_odl_sfc.bash || exit $?
+ source ${ODL_SFC_DIR}/tackerc
+ python ${ODL_SFC_DIR}/sfc.py $report
;;
"parser")
python ${FUNCTEST_REPO_DIR}/testcases/vnf/vRNC/parser.py $report